osg::GraphicsCostEstimator Class Reference

`#include <GraphicsCostEstimator>`

Inheritance diagram for osg::GraphicsCostEstimator:

## Public Member Functions

| GraphicsCostEstimator ()
void | setDefaults ()
void | calibrate (osg::RenderInfo &renderInfo)
CostPair | estimateCompileCost (const osg::Geometry *geometry) const
CostPair | estimateDrawCost (const osg::Geometry *geometry) const
CostPair | estimateCompileCost (const osg::Texture *texture) const
CostPair | estimateDrawCost (const osg::Texture *texture) const
CostPair | estimateCompileCost (const osg::Program *program) const
CostPair | estimateDrawCost (const osg::Program *program) const
CostPair | estimateCompileCost (const osg::Node *node) const
CostPair | estimateDrawCost (const osg::Node *node) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~GraphicsCostEstimator ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< GeometryCostEstimator > | _geometryEstimator
osg::ref_ptr< TextureCostEstimator > | _textureEstimator
osg::ref_ptr< ProgramCostEstimator > | _programEstimator
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Constructor & Destructor Documentation

## GraphicsCostEstimator()

osg::GraphicsCostEstimator::GraphicsCostEstimator | ( |  | ) |

## ~GraphicsCostEstimator()

virtual osg::GraphicsCostEstimator::~GraphicsCostEstimator | ( |  | ) |

protected virtual

## Member Function Documentation

## calibrate()

void osg::GraphicsCostEstimator::calibrate | ( | osg::RenderInfo & | renderInfo | ) |

calibrate the costs of various compile and draw operations

## estimateCompileCost() [1/4]

CostPair osg::GraphicsCostEstimator::estimateCompileCost | ( | const osg::Geometry * | geometry | ) | const

inline

References _geometryEstimator.

## estimateCompileCost() [2/4]

CostPair osg::GraphicsCostEstimator::estimateCompileCost | ( | const osg::Node * | node | ) | const

## estimateCompileCost() [3/4]

CostPair osg::GraphicsCostEstimator::estimateCompileCost | ( | const osg::Program * | program | ) | const

inline

References _programEstimator.

## estimateCompileCost() [4/4]

CostPair osg::GraphicsCostEstimator::estimateCompileCost | ( | const osg::Texture * | texture | ) | const

inline

References _textureEstimator.

## estimateDrawCost() [1/4]

CostPair osg::GraphicsCostEstimator::estimateDrawCost | ( | const osg::Geometry * | geometry | ) | const

inline

References _geometryEstimator.

## estimateDrawCost() [2/4]

CostPair osg::GraphicsCostEstimator::estimateDrawCost | ( | const osg::Node * | node | ) | const

## estimateDrawCost() [3/4]

CostPair osg::GraphicsCostEstimator::estimateDrawCost | ( | const osg::Program * | program | ) | const

inline

References _programEstimator.

## estimateDrawCost() [4/4]

CostPair osg::GraphicsCostEstimator::estimateDrawCost | ( | const osg::Texture * | texture | ) | const

inline

References _textureEstimator.

## setDefaults()

void osg::GraphicsCostEstimator::setDefaults | ( |  | ) |

set defaults for computing the costs.

## Member Data Documentation

## _geometryEstimator

osg::ref_ptr<GeometryCostEstimator> osg::GraphicsCostEstimator::_geometryEstimator

protected

Referenced by estimateCompileCost(), and estimateDrawCost().

## _programEstimator

osg::ref_ptr<ProgramCostEstimator> osg::GraphicsCostEstimator::_programEstimator

protected

Referenced by estimateCompileCost(), and estimateDrawCost().

## _textureEstimator

osg::ref_ptr<TextureCostEstimator> osg::GraphicsCostEstimator::_textureEstimator

protected

Referenced by estimateCompileCost(), and estimateDrawCost().

The documentation for this class was generated from the following file:

- GraphicsCostEstimator